Subject: Re: [PATCH] net: phy: marvell: clear wol event before setting it

From: Andrew Lunn <[email-masked]>
Date: Thu, 19 Apr 2018 13:33:12 +0200

> >IIRC, the phy irq isn't necessary for WOL. The phy interrupt pin isn't
> >necessarily taken as "interrupt"
> Please correct me if I am wrong. In this case how the system will wake up
> from the SC7.There has to be wake capable irq/gpio pin to do this operation.
> 
Hi Bhadram

I've seem implementations where the line from the PHY is connected to
the power supply. It simply turns the power on. No interrupt needed.

    Andrew